#!/bin/zsh

# الحصول على التاريخ الحالي
CURRENT_DATE=$(date +"%Y-%m-%d-%H")

echo "--- 🚀 Starting Deployment ($CURRENT_DATE) ---"

# إضافة جميع الملفات
git add .

# تنفيذ الكوميت مع التاريخ
git commit -m "add new features like realtime $CURRENT_DATE"

# الرفع إلى السيرفر
git push myserver main

echo "--- ✅ Done ---"
